Package net.commoble.exmachina.api.content

# Enum Class NoneConnector

java.lang.Object
java.lang.Enum<NoneConnector>
net.commoble.exmachina.api.content.NoneConnector

All Implemented Interfaces:
  `Serializable`, `Comparable<NoneConnector>`, `Constable`, `Connector`

public enum NoneConnector extends Enum<NoneConnector> implements Connector
Connector for a block that cannot connect to or be part of a circuit.

    {
            "type": "exmachina:none"
    }

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Nested classes/interfaces inherited from interface net.commoble.exmachina.api.Connector

`Connector.BlockConnector, Connector.StateConnector`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`
Singleton instance of NoneConnector

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.MapCodec<NoneConnector>`
`CODEC`
{"type": "exmachina:none"}
`static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends Connector>>`
`KEY`
exmachina:connector_type / exmachina:none

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.DataResult<Connector.BlockConnector>`
`bake(net.minecraft.world.level.block.Block block)`
Bakes a BakedConnector function for the associated block.
`com.mojang.serialization.MapCodec<? extends Connector>`
`codec()`
Returns Codec registered to `ExMachinaRegistries.CONNECTOR_TYPE`.
`boolean`
`isPresent()`
Returns whether this is a valid Connector.
`static NoneConnector`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NoneConnector[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final NoneConnector INSTANCE
Singleton instance of NoneConnector

## Field Details

### KEY

public static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends Connector>> KEY
exmachina:connector_type / exmachina:none

### CODEC

public static final com.mojang.serialization.MapCodec<NoneConnector> CODEC

    {"type": "exmachina:none"}

## Method Details

### values

public static NoneConnector[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NoneConnector valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### bake

public com.mojang.serialization.DataResult<Connector.BlockConnector> bake(net.minecraft.world.level.block.Block block)
Description copied from interface: `Connector`
Bakes a BakedConnector function for the associated block. Caching and validation can be done.

Specified by:
  `bake` in interface `Connector`
Parameters:
  `block` - Block this connector is associated with
Returns:
  DataResult with success holding a BakedConnector if block is valid, error result otherwise

### isPresent

public boolean isPresent()
Description copied from interface: `Connector`
Returns whether this is a valid Connector. If false, will be ignored by the graph builder. Consider using `CircuitComponent.empty()` instead of overriding.

Specified by:
  `isPresent` in interface `Connector`
Returns:
  Whether the component can be part of a circuit.

### codec

public com.mojang.serialization.MapCodec<? extends Connector> codec()
Description copied from interface: `Connector`
Returns Codec registered to `ExMachinaRegistries.CONNECTOR_TYPE`..

Specified by:
  `codec` in interface `Connector`
Returns:
  Codec registered to `ExMachinaRegistries.CONNECTOR_TYPE`